<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
    <entity repository-class="App\Bundle\SubscriptionBundle\Repository\SubscriptionRepository"
            name="App\Bundle\SubscriptionBundle\Entity\Subscription" table="subscription_subscriptions">

        <id name="id" type="integer" column="id">
            <generator strategy="IDENTITY"/>
        </id>

        <unique-constraints>
            <unique-constraint columns="user_id,product_id,provider" />
        </unique-constraints>

        <field name="token" type="string" nullable="false" unique="true" />
        <field name="productId" column="product_id" type="string" nullable="false" />
        <field name="providerIdentifier" column="provider_identifier" type="string" nullable="false" unique="true" />
        <field name="provider" type="string" nullable="false" />
        <field name="status" type="string" nullable="false" />
        <field name="createdAt" column="create_at" type="datetime" nullable="false" />
        <field name="updatedAt" column="updated_at" type="datetime" nullable="true" />

        <many-to-one field="user" target-entity="App\Bundle\SubscriptionBundle\Entity\User">
            <join-column name="user_id" />
        </many-to-one>

        <many-to-one field="webHook" target-entity="App\Bundle\SubscriptionBundle\Entity\WebHook">
            <join-column name="web_hook_id" />
        </many-to-one>
    </entity>
</doctrine-mapping>
